<?php
/**
 * The template for displaying a page with no sidebar.
 *
 * Template Name: Osixthreeo Blank
 *
 * @since      1.0.0
 *
 * @package    osixthreeo
 * @subpackage osixthreeo/public/partials/templates
 */

remove_action( 'osixthreeo_header_before', 'osixthreeo_display_header' );
remove_action( 'osixthreeo_footer_before', 'osixthreeo_display_site_footer' );
remove_action( 'osixthreeo_content_before', 'osixthreeo_get_left_sidebar' );
remove_action( 'osixthreeo_content_after', 'osixthreeo_get_right_sidebar' );
remove_action( 'osixthreeo_header_before', 'osixthreeo_widgets_display_preheader' );
remove_action( 'osixthreeo_footer_before', 'osixthreeo_widgets_display_prefooter' );
remove_filter( 'body_class', 'osixthreeo_sidebar_bodyclass' );

/**
 * Whitelist some body classes and add a body class.
 *
 * @param Array $wp_classes body classes generated by WordPress.
 * @param Array $extra_classes the updated array of body classes.
 */
function osixthreeo_blank_template_body_classes( $wp_classes, $extra_classes ) {
	// List of the only WP generated classes allowed.
	$whitelist  = array( 'page-template-osixthreeo-blank' );
	$wp_classes = array_intersect( $wp_classes, $whitelist );
	return array_merge( $wp_classes, array( 'osixthreeo-blank' ) );
}
add_filter( 'body_class', 'osixthreeo_blank_template_body_classes', 10, 2 );

// Build the page.
get_template_part( 'index' );
